@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

html, button, select, textarea, input {
  font-family: 'Roboto';
  font-size: 16px;
}

header nav ul {
  list-style: none;
  display: grid;
  grid-template-columns: repeat(10, 1fr);
  justify-items: center;
  /* margin: auto; */
  margin-bottom: 50px;
  padding-bottom: 10px;
}


main {
  background-color: rgb(252, 252, 253);
  margin: auto;
  width: 700px;
  padding: 50px;
}

body {
  background-color: rgb(174, 209, 187);
  justify-content: center;
}

.section{
  padding: 15px;
}

a, a:visited {
  text-decoration: none;
  color: #208ACC;
}

hr {
  height:10px !important;
  color: black;
  background-color: grey;
}
button.button {
  background-color: #E012AD;
  border: 2px solid transparent;
  border-radius: 4px;
  color: white;
  padding: 1em 1.5em;
  text-transform: uppercase;
}

button.button:hover {
  background-color: white;
  border-color: #E012AD;
  color: #E012AD;
}

button.button:active {
  background-color: lightblue;
}

input, textarea {
  border: 1px solid #E012AD;
  border-radius: 4px;
  padding: 1em 1.5em;
}

table {
  margin: auto;
}

td, th {
  padding: .25em .5em;
}

textarea {
  resize: none;
} */

 .recipe-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 2em;
  padding: 2em;
}

.recipe-card-title {
  margin-bottom: 0;
}

.recipe-card-date {
  color: darkgray;
}

.recipe-form {
  margin: 4em auto;
  min-width: 300px;
  max-width: 800px;
}

.recipe-form p {
  display: grid;
  grid-template-columns: 8em 1fr;
  column-gap: 20px;
}

.recipe-form label {
  text-align: right;
}

.recipe-detail {
  margin: 4em auto;
  min-width: 300px;
  max-width: 800px;
}

.pull-right {
  float: right;
  margin: 1em;
}

.control {
  text-align: right;
}
